package com.heyu.api.data.dao.calca;
/**
* <p>
* 充值记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.calca.CalcaRechargeLogEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface CalcaRechargeLogDao extends BaseMapper<CalcaRechargeLogEntity> {


	CalcaRechargeLogEntity selectCalcaRechargeLogById(@Param("id")Long id);


	Long insertCalcaRechargeLog(CalcaRechargeLogEntity calcaRechargeLog);


	Long insertOrUpdateCalcaRechargeLog(CalcaRechargeLogEntity calcaRechargeLog);


	int updateCalcaRechargeLogById(CalcaRechargeLogEntity calcaRechargeLog);


	int updateCoverCalcaRechargeLogById(CalcaRechargeLogEntity calcaRechargeLog);


	int deleteCalcaRechargeLogById(@Param("id")Long id);


}